Retrieve Expected Machine label keys

View as Markdown
Retrieve paginated, unique, non-null Expected Machine label keys. Results are ordered by key ascending by default before pagination. Infrastructure Provider callers receive keys from their Provider's Sites. Tenant Admin callers receive keys only from Sites where `TargetedInstanceCreation` is effective. For organizations with both roles, the result is the union of the Provider's Sites and the privileged Tenant Sites. The optional siteId parameter further restricts the result.

Authentication

AuthorizationBearer
``` export JWT_BEARER_TOKEN="<jwt-bearer-token>" # Example org name: "acme-inc export ORG_NAME=<org-name> # Use the JWT bearer token in your API request auth header: curl -v -X GET -H "Content-Type: application/json" -H "Authorization: Bearer $JWT_BEARER_TOKEN" https://nico-rest-api.nico.svc.cluster.local/v2/org/$ORG_NAME/nico/user/current ```

Path parameters

orgstringRequired
Name of the Org

Query parameters

siteIdstringOptionalformat: "uuid"
ID of the Site to filter label keys by
pageNumberintegerOptional1-21474836
Page number for pagination query
pageSizeintegerOptional1-100Defaults to 20
Page size for pagination query
orderByenumOptionalDefaults to KEY_ASC

Ordering applied before pagination; defaults to KEY_ASC

Allowed values:

Response headers

X-PaginationstringOptional
Pagination result in JSON format

Response

OK

Errors

400
Bad Request Error
403
Forbidden Error